
BOOL DrawXYbox(hdc, ptStart, ptEnd)   /* FILENAME: DRWBOX.C */
HDC hdc;
POINT ptStart;
POINT ptEnd;
{
    static RECT rc;
    static BOOL bStart = TRUE;

    if(ptStart.x == -1)
    {
        Rectangle(hdc, rc.left, rc.top, rc.right, rc.bottom);
        return(bStart=TRUE);
    }

    if(bStart)
        Rectangle(hdc, ptStart.x, ptStart.y, ptEnd.x, ptEnd.y);
    else
    {
        FillRect(hdc, &rc, GetStockObject(WHITE_BRUSH));
        Rectangle(hdc, ptStart.x, ptStart.y, ptEnd.x, ptEnd.y);
    }
    rc.left = ptStart.x;
    rc.top = ptStart.y;
    rc.right = ptEnd.x;
    rc.bottom = ptEnd.y;

    return(bStart=FALSE);
}
