BOOL DrawXYcircle(hdc, ptStart, ptEnd)   /* FILENAME: DRWCIRCL.C */
HDC hdc;
POINT ptStart;
POINT ptEnd;
{
    int nDif;
    static RECT rc;
    static BOOL bStart = TRUE;

    if(ptStart.x == -1)
    {
        Ellipse(hdc, rc.left, rc.top, rc.right, rc.bottom);
        return(bStart=TRUE);
    }

    nDif = abs(ptStart.x - ptEnd.x);
    if(ptStart.y < ptEnd.y)
        ptEnd.y = ptStart.y + nDif;
    else
        ptEnd.y = ptStart.y - nDif;

    if(bStart)
        Ellipse(hdc, ptStart.x, ptStart.y, ptEnd.x, ptEnd.y);
    else
    {
        FillRect(hdc, &rc, GetStockObject(WHITE_BRUSH));
        Ellipse(hdc, ptStart.x, ptStart.y, ptEnd.x, ptEnd.y);
    }
    rc.left = ptStart.x;
    rc.top = ptStart.y;
    rc.right = ptEnd.x;
    rc.bottom = ptEnd.y;

    return(bStart=FALSE);
}
