
BOOL DrawXYline2(hdc, ptStart, ptEnd)    /* FILENAME: DRWLINE2.C */
HDC hdc;
POINT ptStart;
POINT ptEnd;
{
    static int n;
    LIST *pt;
    static LIST *head;

    if(ptStart.x != -1)
    {
        if(!(pt = (LIST *)LocalAlloc(LMEM_FIXED
                         | LMEM_ZEROINIT, sizeof(LIST))))

            DisplayMBinfo(GetFocus(), 1, "Memory Alloc Error");

        SetXYlink(pt);
        if(n==0) head = pt;
        pt->x1 = ptStart.x;
        pt->y1 = ptStart.y;
        pt->x2 = ptEnd.x;
        pt->y2 = ptEnd.y;
        MoveTo(hdc, pt->x1, pt->y1);
        LineTo(hdc, pt->x2, pt->y2);
        n++;
        return(TRUE);
    }
    else
        pt = head;
        while(pt)
        {
            MoveTo(hdc, pt->x1, pt->y1);
            LineTo(hdc, pt->x2, pt->y2);
            pt = pt->next;
        }
}
