void PrintTXTfmt(hwnd, hdc, szText, wFormat)   /* FILENAME: PRTXTFMT.C */
HWND hwnd;
HDC hdc;
char *szText;
WORD wFormat;
{
    int nCount, nWidth;
    PTXTOUT ptx;

    ptx = TextOutput(hwnd, TRUE);
    SetTXTcolors(ptx, hdc, FALSE);
    nCount = strlen(szText);

    if(ptx->bRedraw)
    {
        ptx->xCaret = ptx->lMargin;
        ptx->yCaret = ptx->tMargin;
        ptx->bRedraw = FALSE;
    }
    DefineTXTrect(ptx, hdc, szText);
    DrawText(hdc, szText, nCount, &ptx->rc, wFormat);

    ptx->xCaret = ptx->lMargin + nWidth;
    ptx->yCaret += ptx->yChar;
    ptx->xCaret = ptx->lMargin;
    SetCaretPos(ptx->xCaret, ptx->yCaret);

    TextOutput(hwnd, FALSE);
}
