/* CHAP07  (Header file) */


/* Window Procedures */

   int PASCAL WinMain(HANDLE, HANDLE, LPSTR, int);
   long FAR PASCAL WindowProcedure(HWND, unsigned, WORD, LONG);
   BOOL FAR PASCAL AboutBoxDB(HWND, unsigned, WORD, LONG);

/* Initialize and Create Routines */

   BOOL InitODwindow(HANDLE);
   HWND CreateODcenter(HANDLE, int, int, int);
   void InitWNDstruct(HWND);

/* Mouse drawing routines */

   BOOL DrawXYarc(HDC, POINT);
   BOOL DrawXYbox(HDC, POINT, POINT);
   BOOL DrawXYline(HDC, POINT, POINT);
   BOOL DrawXYline2(HDC, POINT, POINT);
   BOOL DrawXYellipse(HDC, POINT, POINT);
   BOOL DrawXYchord(HDC, POINT);
   BOOL DrawXYcircle(HDC, POINT, POINT);
   BOOL DrawXYpolygon(HDC, POINT);
   BOOL DrawXYpolypoly(HDC, POINT, BOOL);
   BOOL DrawXYpline(HDC, POINT);
   BOOL DrawXYpie(HDC, POINT);
   BOOL DrawXYrbox(HDC, POINT, POINT);
   BOOL DrawXYtriangle(HDC, POINT);
   BOOL GetPTrange(HWND, POINT);

/* Bitmap Routines */

   BOOL DisplayBMload(HWND, LPSTR, RECT);
   BOOL DisplayBMmap(HWND, LPSTR, RECT);
   void DisplayBMmove(HWND, HBITMAP, POINT);
   void MapBMpoint(HBITMAP, HDC, HDC, LPPOINT);
   void ReleaseBMmem(HDC, HDC, HBITMAP);
   void SetupBMmem(HWND, HDC, HDC, HBITMAP);
   BOOL StretchBMmap(HWND, LPSTR, RECT);
   BOOL StretchBMclient(HWND, LPSTR);



/* Miscellaneous routines */

   HCURSOR ChangeCursor(HWND, LPSTR);
   void ColorRGBbar(HWND);
   void CustomWNDrect(HWND, LPRECT);
   void EraseWNDclient(HWND);
   DWORD GetXYcolor(HWND, POINT);
   void SetHDCpen(HDC, int);
   void SetHDCbrush(HDC, int);
   void DrawXYmarker(POINT);
   void SetWNDrect(HWND, LPRECT, int, int);
   void StatusBox(HWND);
   void UpdateXY(HWND, HDC, POINT);
   void UpdateXYwnd(HWND, HDC);


   typedef struct tagLIST {
       int x1;
       int y1;
       int x2;
       int y2;
       struct tagLIST *next;
   } LIST;

   void SetXYlink(LIST *);

/* Routines from other chapters */

   DisplayMBinfo(HWND, int, char *);
   BOOL MoveODcenter(HWND, int, int);
   int CallDBcode(HWND, FARPROC, char *);

   DWORD dwStyle = WS_OVERLAPPEDWINDOW;
   HANDLE hInst;
   int offLeft;
   int offTop;
   int offRight;
   int offBottom;
   COLORREF rgbVal = 0L;

   #define IDM_DRAWLINE        201
   #define IDM_DRAWLINE2       202
   #define IDM_DRAWBOX         203
   #define IDM_DRAWRBOX        204
   #define IDM_DRAWELLIPSE     205
   #define IDM_DRAWCIRCLE      206
   #define IDM_PLINESTOP       207
   #define IDM_PGONSTOP        208
   #define IDM_DRAWERASE       209

   #define IDM_DRAWARC         221
   #define IDM_DRAWCHORD       222
   #define IDM_DRAWPIE         223
   #define IDM_PLINEGO         224
   #define IDM_PGONGO          225
   #define IDM_DRAWTRIANGLE    226

   #define IDM_BMDISPLAY       301
   #define IDM_BMMAP           302
   #define IDM_BMSTRETCHMAP    303
   #define IDM_BMSTRETCHCLIENT 304
   #define IDM_BMMOVE          305

   #define IDM_CENTERWND       901
   #define IDM_ABOUT           902



