
void ColorRGBbar(hwnd)        /* FILENAME: COLORBAR.C */
HWND hwnd;
{
    HDC hdc;
    RECT rc;
    HBRUSH hBrush[8];
    int i, nSquare;
    static COLORREF rgb[8] = { RGB(0, 0, 0), RGB(255, 255, 255),
                               RGB(255, 255, 0), RGB(255, 0, 255),
                               RGB(255, 0, 0), RGB(0, 255, 255),
                               RGB(0, 255, 0), RGB(0, 0, 255) };

    hdc = GetDC(hwnd);
    GetClientRect(hwnd, &rc);
    rc.left = rc.right - offRight;
    nSquare = (rc.bottom - offBottom - rc.top) / 8;
    if((rc.bottom - offBottom - rc.top) % 8)
        nSquare++;
    rc.bottom = 0;

    for(i=0; i < 8; i++)
    {
        rc.bottom += nSquare;
        rc.top = rc.bottom - nSquare;
        SelectObject(hdc, hBrush[i]=CreateSolidBrush(rgb[i]));
        Rectangle(hdc, rc.left, rc.top, rc.right, rc.bottom);
    }

    ReleaseDC(hwnd, hdc);
    for(i=0; i < 8; i++)
        DeleteObject(hBrush[i]);
}
