BOOL DisplayBMmap(hwnd, lpName, rc)    /* FILENAME: DISBMMAP.C */
HWND hwnd;
LPSTR lpName;
RECT rc;
{
       HDC hdc, hdcMem;
       POINT ptBit;
       BITMAP bm;
       HBITMAP hBitmap;

       if(!(hBitmap = LoadBitmap(hInst, lpName)))
           return(FALSE);

       hdc = GetDC(hwnd);
       hdcMem = CreateCompatibleDC(hdc);
       SelectObject(hdcMem, hBitmap);
       SetMapMode(hdcMem, GetMapMode(hdc));
       GetObject(hBitmap, sizeof(BITMAP), (LPSTR)&bm);
       ptBit.x = bm.bmWidth;
       ptBit.y = bm.bmHeight;
       DPtoLP(hdc, &ptBit, 1);

       BitBlt(hdc, rc.left, rc.top, ptBit.x, ptBit.y,
                                     hdcMem, 0, 0, SRCCOPY);
       ReleaseDC(hwnd, hdc);
       DeleteDC(hdcMem);
       DeleteObject(hBitmap);
       return(TRUE);
}
