
BOOL DrawXYrbox(hdc, ptStart, ptEnd)   /* FILENAME: DRWRBOX.C */
HDC hdc;
POINT ptStart;
POINT ptEnd;
{
    int nEllipse;
    static RECT rc;
    static BOOL bStart = TRUE;

 /* Check and see if this is a redraw. This is indicated by the -1
    value in the ptStart.x. If it is a redraw, use the values from
    the static RECT structure to redrawn the rounded box. */

    if(ptStart.x == -1)
    {
        RoundRect(hdc, rc.left, rc.top, rc.right, rc.bottom,
                                abs(rc.left - rc.right) / 4,
                                abs(rc.left - rc.right) / 4);
        return(bStart=TRUE);
    }

    nEllipse = abs(ptStart.x - ptEnd.x) / 4;

    if(bStart)
        RoundRect(hdc, ptStart.x, ptStart.y,
                    ptEnd.x, ptEnd.y, nEllipse, nEllipse);
    else
    {
        FillRect(hdc, &rc, GetStockObject(WHITE_BRUSH));
        RoundRect(hdc, ptStart.x, ptStart.y,
                    ptEnd.x, ptEnd.y, nEllipse, nEllipse);
    }

    rc.left = ptStart.x;
    rc.top = ptStart.y;
    rc.right = ptEnd.x;
    rc.bottom = ptEnd.y;

    return(bStart=FALSE);
}
