BOOL StretchBMmap(hwnd, lpName, rc)    /* FILENAME: STHBMMAP.C */
HWND hwnd;
LPSTR lpName;
RECT rc;         /* Dest rect */
{

       HDC hdc, hdcMem;
       POINT ptBit;
       HBITMAP hBitmap;

       if(!(hBitmap = LoadBitmap(hInst, lpName)))
           return(FALSE);

       hdc = GetDC(hwnd);
       hdcMem = CreateCompatibleDC(hdc);
       SelectObject(hdcMem, hBitmap);
       MapBMpoint(hBitmap, hdc, hdcMem, &ptBit);

       StretchBlt(hdc, rc.left, rc.top, rc.right, rc.bottom,
                    hdcMem, 0, 0, ptBit.x, ptBit.y, SRCCOPY);

       DeleteDC(hdcMem);
       ReleaseDC(hwnd, hdc);
       DeleteObject(hBitmap);
       return(TRUE);
}
